Properties Methods Events Direct Link

# Class Ext.SplitBar.BasicLayoutAdapter

Package: | Ext
Defined In: | SplitBar.js
Class: | SplitBar.BasicLayoutAdapter
Subclasses: | SplitBar.AbsoluteLayoutAdapter
Extends: | Object

Default Adapter. It assumes the splitter and resizing element are not positioned elements and only gets/sets the width of the element. Generally used for table based layouts.

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

getElementSize( `Ext.SplitBar s` ) : void
Called before drag operations to get the current size of the resizing element.
Called before drag operations to get the current size of the resizing element.
Parameters:

- `s` : Ext.SplitBar
  The SplitBar using this adapter

Returns:

- `void`

SplitBar.BasicLayoutAdapter

setElementSize( `Ext.SplitBar s`, `Number newSize`, `Function onComplete` ) : void
Called after drag operations to set the size of the resizing element.
Called after drag operations to set the size of the resizing element.
Parameters:

- `s` : Ext.SplitBar
  The SplitBar using this adapter
- `newSize` : Number
  The new size to set
- `onComplete` : Function
  A function to be invoked when resizing is complete

Returns:

- `void`

SplitBar.BasicLayoutAdapter

## Public Events

This class has no public events.